Breadcrumbs

Metavault API - Get list of the user's groups

GetUserGroups - GET

Path

/api/users/{userId}/groups

Http Method

GET

Overview

NO LICENSE

Get the list of groups the user is assigned to.

Required permissions

  • Global administration privileges. ADMIN

OR

  • Be the user themselves.

Request

Query parameters

See: Metavault API - General concepts | Paging, sorting and filters.

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "groups": [
      {
        "id": "8bade9da389d89b2bde1989b87dea78b",
        "name": "MyGroup",
        "accessRights": {},
        "creationDate": "2026-01-10T13:22:14.9823509",
        "isDefault": true,
        "numberOfUsers": 8
      },
      {
        "id": "d5a70a359922417bbb681fd2796bb738",
        "name": "MyGroup2",
        "accessRights": {},
        "creationDate": "2026-01-21T13:22:14.6243323",
        "isDefault": false,
        "numberOfUsers": 1
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 2
}
Response fields

For collection parameter responses see:Metavault API - General concepts | Paging, sorting and filters

Field

Type

Description

_embedded.groups

array

The list of user groups the user is assigned to. For the fields of one specific group, please see: Metavault API - Create group | Response